/* SYNTAX: (gain (double volume) (stream filtered)) */
/* BLURB:
 * Changes the volume of the stream FILTERED by a factor of VOLUME.
 */

#include "synthlib.h"

int main (int argc, char **argv)
{
  gdouble volume;
  gdouble v;
  SynthLibStream *source;
  synth_lib_init (argc, argv);
  synth_lib_get_double (&volume);
  synth_lib_get_stream (&source);
  while (synth_lib_stream_get (source, &v))
    synth_lib_output (v * volume);
  return 0;
}
