#! /bin/sh

srcdir=$1
builddir=$2

for pluginable in server/plugins \
		  server/devices \
		  component/plugins \
		  skin/plugins ; do
  makefile=$builddir/$pluginable/Makefile.plugins 
  test -d $builddir/$pluginable ||
    mkdir -p $builddir/$pluginable ||
    exit 1
  test -r $makefile || {
    cd $srcdir/$pluginable
    $srcdir/build/listplugins.sh *.h > $makefile || exit 1
  }
done
