#include "cli.h"

void        cli_info_set_id_type   (CliInfo*        cli_info,
                                    int             id,
				    const char*     t)
{
  char *type;
  type = g_string_chunk_insert_const (cli_info->const_type_names, t);
  g_hash_table_insert (cli_info->id_to_type, GINT_TO_POINTER (id), type);
}
const char* cli_info_get_type_by_id(CliInfo*        cli_info,
                                    int             id)
{
  return g_hash_table_lookup (cli_info->id_to_type, GINT_TO_POINTER (id));
}

