#ifndef __GDAM_HELP_SKIN_H_
#define __GDAM_HELP_SKIN_H_


typedef struct _GdamHelpSkin GdamHelpSkin;
typedef struct _GdamHelpSkinClass GdamHelpSkinClass;

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "../gdamskin.h"
#include <gtk/gtktext.h>
#include <gtk/gtklabel.h>
GtkType gdam_help_skin_get_type();
#define GDAM_TYPE_HELP_SKIN			(gdam_help_skin_get_type ())
#define GDAM_HELP_SKIN(obj)              (GTK_CHECK_CAST ((obj), GDAM_TYPE_HELP_SKIN, GdamHelpSkin))
#define GDAM_HELP_SKIN_CLASS(klass)      (GTK_CHECK_CLASS_CAST ((klass), GDAM_TYPE_HELP_SKIN, GdamHelpSkinClass))
#define GDAM_IS_HELP_SKIN(obj)           (GTK_CHECK_TYPE ((obj), GDAM_TYPE_HELP_SKIN))
#define GDAM_IS_HELP_SKIN_CLASS(klass)   (GTK_CHECK_CLASS_TYPE ((klass), GDAM_TYPE_HELP_SKIN))

struct _GdamHelpSkinClass {
	GdamSkinClass		skin_class;
};
struct _GdamHelpSkin {
	GdamSkin		skin;
	GtkText*		text_area;
	GtkLabel*		topic_label;
	GtkBox*			see_also_box;
	char*			topic;
	GdkFont*		fixed_font;
	GdkFont*		cur_font;
};

void gdam_help_skin_set_topic(GdamHelpSkin* help_skin, const char* topic);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
