/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/
#ifndef __GDAMMICROPHONESKIN__H_
#define __GDAMMICROPHONESKIN__H_

#include "../gdamskin.h"

typedef struct _GdamMicrophoneSkinClass GdamMicrophoneSkinClass;
typedef struct _GdamMicrophoneSkin GdamMicrophoneSkin;


GtkType gdam_microphoneskin_get_type();
#define GDAM_TYPE_MICROPHONE_SKIN              (gdam_microphone_skin_get_type ())
#define GDAM_MICROPHONE_SKIN(obj)              (GTK_CHECK_CAST ((obj), GDAM_TYPE_MICROPHONE_SKIN, GdamMicrophoneSkin))
#define GDAM_MICROPHONE_SKIN_CLASS(klass)      (GTK_CHECK_CLASS_CAST ((klass), GDAM_TYPE_MICROPHONE_SKIN, GdamMicrophoneSkinClass))
#define GDAM_IS_MICROPHONE_SKIN(obj)           (GTK_CHECK_TYPE ((obj), GDAM_TYPE_MICROPHONE_SKIN))
#define GDAM_IS_MICROPHONE_SKIN_CLASS(klass)   (GTK_CHECK_CLASS_TYPE ((klass), GDAM_TYPE_MICROPHONE_SKIN))

struct _GdamMicrophoneSkinClass {
	GdamSkinClass		skin_class;
};


struct _GdamMicrophoneSkin {
	GdamSkin		base;
};

#endif
